Last Comment Bug 316821 - Crash with moz-border-radius and small font-size
: Crash with moz-border-radius and small font-size
Status: VERIFIED FIXED
regression from 265736
: crash, regression, testcase, verified1.7.13, verified1.8.0.1, verified1.8.1
Product: Core
Classification: Components
Component: Layout: View Rendering (show other bugs)
: Trunk
: x86 Windows XP
-- critical with 1 vote (vote)
: ---
Assigned To: Bernd
: Hixie (not reading bugmail)
: Jet Villegas (:jet)
Mentors:
http://www.oldkeep.com/upc3.html
: 317900 322901 (view as bug list)
Depends on:
Blocks: 265736
  Show dependency treegraph
 
Reported: 2005-11-17 01:47 PST by Martijn Wargers [:mwargers]
Modified: 2006-08-22 10:23 PDT (History)
8 users (show)
dveditz: blocking1.7.13+
dveditz: blocking‑aviary1.0.8+
dveditz: blocking1.8.1+
dveditz: blocking1.8.0.1+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (2.06 KB, patch)
2005-11-17 10:39 PST, Bernd
roc: review+
roc: superreview+
dveditz: approval‑aviary1.0.8+
dveditz: approval1.7.13+
mtschrep: approval1.8.0.1+
mtschrep: approval1.8.1+
Details | Diff | Splinter Review

Description User image Martijn Wargers [:mwargers] 2005-11-17 01:47:46 PST
This came from http://forums.mozillazine.org/viewtopic.php?t=342177

The url testcase crashes current trunk and branch builds.
This regressed between 2005-10-28 and 2005-10-30 on trunk:
http://bonsai.mozilla.org/cvsquery.cgi?treeid=default&module=all&branch=HEAD&branchtype=match&dir=&file=&filetype=match&who=&whotype=match&sortby=Date&hours=2&date=explicit&mindate=2005-10-28+07%3A00%3A00&maxdate=2005-10-30+07%3A00%3A00&cvsroot=%2Fcvsroot
The most likely cause of this regression would be bug 265736, I guess (since it is also a regression on branch).
Comment 1 User image Hermann Schwab 2005-11-17 02:32:40 PST
TalkbackID: TB11951173G
Comment 2 User image Bernd 2005-11-17 10:16:50 PST
mine
Comment 3 User image Bernd 2005-11-17 10:39:39 PST
Created attachment 203422 [details] [diff] [review]
patch
Comment 4 User image Bernd 2005-11-17 21:34:57 PST
fix checked in
Comment 5 User image Andrew Schultz 2005-11-26 21:36:19 PST
*** Bug 317900 has been marked as a duplicate of this bug. ***
Comment 6 User image Martijn Wargers [:mwargers] 2005-12-16 09:26:41 PST
Verified fixed, using:
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a1) Gecko/20051215 Firefox/1.6a1
Comment 7 User image Mike Schroepfer 2005-12-19 16:10:30 PST
Comment on attachment 203422 [details] [diff] [review]
patch

Please land in 1.8 and 1.8.0 branches.  Thanks!
Comment 8 User image Bernd 2005-12-27 05:19:30 PST
fixed on branches
Comment 9 User image Jay Patel [:jay] 2006-01-04 16:17:32 PST
v.fixed on 1.8.0.1 with Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.1) Gecko/20060104 Firefox/1.5.0.1 using the URL testcase.
Comment 10 User image Bernd 2006-01-04 21:16:52 PST
If this should be approved for 1.7.13 and 1.0.8 then it needs the patch from bug 265736 too, as this is only the cleanup after that bug.
Comment 11 User image Martijn Wargers [:mwargers] 2006-01-10 15:50:20 PST
*** Bug 322901 has been marked as a duplicate of this bug. ***
Comment 12 User image Daniel Veditz [:dveditz] 2006-02-06 09:55:09 PST
Comment on attachment 203422 [details] [diff] [review]
patch

a=dveditz
Comment 13 User image Marcia Knous [:marcia - use ni] 2006-02-09 18:09:25 PST
verified on the 1.0.1 branch using Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.12) Gecko/20060209 Firefox/1.0.7. On crash using URL testcase. Adding keyword.
Comment 14 User image Marcia Knous [:marcia - use ni] 2006-03-07 13:33:52 PST
verified no crash with URL testcase on the 1.7 branch using Mozilla 1.7.13
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.13) Gecko/20060302.
Comment 15 User image Tracy Walker [:tracy] 2006-08-22 10:23:53 PDT
verified with Fx 2.0b2 builds from 22060821

Note You need to log in before you can comment on or make changes to this bug.